Income Verification
Income Verification API
POST https://{vida.host}/verify/v1/income-verification/transaction
Headers
Authorization*
OAuth access token.
Get the token by calling the
Authentication API
Content-Type*
Format type of request body
Request Body
partnerTrxId
String
Unique transaction reference number from the client
nik
String
NIK number of the user.
Length: 16 digits
incomePeriod
String
Income period in format of MM/YYYY
incomeValue
Integer
On the API request parameter, this field consists the exact income value
companyName
String
The company where the income received on the specified period.
JSON Payload (Mock Data)
{
"parameters": {
"partnerTrxnId": "{{$guid}}",
"nik": "350100xx04200002",
"incomePeriod": "02/2024",
"incomeValue": 1000000,
"companyName": "COMPANYAAAC",
"userConsent": {
"userIp": "226.80.211.232",
"country": "IDN",
"obtained": true,
"obtainedAt": "1680700959"
}
}
}Response
Income Verification Successful
HTTP Status Code: 200
JSON Response
Income Verification Unsuccessful
HTTP Status Code: 401
JSON Response
HTTP Status Code: 400
JSON Response
HTTP Status Code: 400
JSON Response
HTTP Status Code: 500
JSON Response
HTTP Status Code: 500
JSON Response
HTTP Status Code: 500
JSON Response
Last updated
